<?php
/*
Plugin Name: 	Local Business Addons
Plugin URI: 	https://themnific.com/
Description: 	An awesome extension.
Author: 		wpmasters
Author URI: 	https://themnific.com/
Version: 		1.2
License:		GPL2+
*/

/*  Copyright 2022 - 2024  Dannci (Themnific)

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License, version 2, as 
	published by the Free Software Foundation.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

if ( !class_exists( 'localbusinessAddons' ) ) :

final class localbusinessAddons {};

////////////
// variables
$localbusinessaddons_main_file = dirname(__FILE__).'/localbusiness-addons.php';
$localbusinessaddons_directory = plugin_dir_url($localbusinessaddons_main_file);
$localbusinessaddons_path = dirname(__FILE__);


////////////
// text domain
load_plugin_textdomain('local-business', false, basename( dirname( __FILE__ ) ) . '/languages' );

////////////
// custom post type + shortcodes	
require_once ('functions/post-type-slider.php'); 
require_once ('functions/post-type-project.php'); 

////////////
// widget
include_once (dirname( __FILE__ ) . '/functions/widget-blog.php');
include_once (dirname( __FILE__ ) . '/functions/widget-mag-classic.php');
include_once (dirname( __FILE__ ) . '/functions/widget-mag-plain.php');
include_once (dirname( __FILE__ ) . '/functions/widget-mag-list.php');
include_once (dirname( __FILE__ ) . '/functions/widget-mag-grid.php');
include_once (dirname( __FILE__ ) . '/functions/widget-featured.php');
include_once (dirname( __FILE__ ) . '/functions/widget-slider.php');
include_once (dirname( __FILE__ ) . '/functions/widget-projects.php');



////////////
// thumb for admin section 1.
function localbusinessaddons_get_featured_image($post_ID) {  
    $post_thumbnail_id = get_post_thumbnail_id($post_ID);  
    if ($post_thumbnail_id) {  
        $post_thumbnail_img = wp_get_attachment_image_src($post_thumbnail_id, 'thumbnail');  
        return $post_thumbnail_img[0];  
    }  
} 
// thumb for admin section 2. ADD NEW COLUMN  
function localbusinessaddons_columns_head($defaults) {  
	$defaults['featured_image'] = 'Featured Image';  
	return $defaults;  
}  
// thumb for admin section 3. SHOW THE FEATURED IMAGE  
function localbusinessaddons_columns_content($column_name, $post_ID) {  
	if ($column_name == 'featured_image') {  
		$post_featured_image = localbusinessaddons_get_featured_image($post_ID);  
		if ($post_featured_image) {  
			echo '<img style=" width:100px;" src="' . $post_featured_image . '" />';  
		}  
	}  
}  
add_filter('manage_posts_columns', 'localbusinessaddons_columns_head');  
add_action('manage_posts_custom_column', 'localbusinessaddons_columns_content', 10, 2); 


endif; // class_exists check

?>
